<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
    <script>
        /* ЗАДАНИЕ:
         * Есть объект с базовыми значениями размера и начинки бургера. Этот объект мы считаем статическим
         * не изменяем ничего из того что в нем содержится, только пользуемся тем что внутри
         * */
        const constantValues = {
            SIZE_SMALL: {
                price: 15,
                cal: 250,
            },

            SIZE_LARGE: {
                price: 25,
                cal: 340,
            },

            STUFFING_CHEASE: {
                price: 4,
                cal: 25,
            },

            STUFFING_SALAD: {
                price: 5,
                cal: 5,
            },

            STUFFING_BEEF: {
                price: 10,
                cal: 50,
            },
        };
        /* НУЖНО
         * Написать функцию конструктор бургера, которая принимает два аргумента - размер и начинку бургера.
         * Для удобства считаем что оба эти аргумента 100% будут переданы строками в которых написано одно из названий свойств объекта constantValues.
         * У итогового объекта должны быть:
         *   1 - поля size и stuffing
         *   2 - метод getPrice(), который создает в объекте бургера свойство price и вычисляет стоимость бургера, основываясь на введенных в функцию конструктор аргументах и значениях в объекте constantValues
         *   3 - метод getCalories(), который создает в объекте бургера свойство calories и вычисляет калорийность бургера, основываясь на введенных в функцию конструктор аргументах и значениях в объекте constantValues
         * */
        function Burger(size, stuffing) {
            this.size = size;
            this.stuffing = stuffing;
            this.getPrice = function() {
                this.price =
                    constantValues[this.size].price + constantValues[this.stuffing].price;
                return this.price;
            };
        }
        let hamburger = new Burger('SIZE_SMALL', 'STUFFING_CHEASE');
        console.log(hamburger);

        console.log('burger price -> ', hamburger.getPrice());
    </script>
</body>

</html>